--Register Events
local mm = CreateFrame("Frame", "DejaMinimapFrame")
mm:RegisterEvent("PLAYER_LOGIN")
mm:RegisterEvent("PLAYER_ENTERING_WORLD")
mm:RegisterEvent("ADDON_LOADED")
mm:RegisterEvent("PET_BATTLE_OVER")
mm:RegisterEvent("UPDATE_INSTANCE_INFO")


--Hide Frames
local function eventHandler(self, event, ...)



		MinimapBorder:Hide()
		MinimapBorderTop:Hide()
		MinimapZoomIn:Hide()
		MinimapZoomOut:Hide()
		MinimapNorthTag:Hide()
		MiniMapTracking:SetAlpha(0)



for i = 1, 1 do
	if TimeManagerClockButton then
		TimeManagerClockButton:SetAlpha(0)
	end
end



--Minimap
Minimap:SetScale(0.85)

Minimap:ClearAllPoints()
Minimap:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", 0, 0)

Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')


Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(mp, input)
local zoom = Minimap:GetZoom()
    if input > 0 and zoom < 5 then
		mp:SetZoom(zoom +1)
    elseif input < 0 and zoom > 0 then
		mp:SetZoom(zoom -1)
    end
end)

MiniMapTracking:ClearAllPoints()
MiniMapTracking:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)

QueueStatusMinimapButton:ClearAllPoints()
QueueStatusMinimapButton:SetPoint("CENTER", Minimap, "LEFT", 0, 0)

MinimapZoneTextButton:ClearAllPoints()
MinimapZoneTextButton:SetPoint("CENTER", Minimap, "TOP", 0, 15)
MinimapZoneTextButton:SetFrameStrata("HIGH")

MiniMapInstanceDifficulty:SetScale(0.5)
MiniMapInstanceDifficulty:ClearAllPoints()
MiniMapInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)

MiniMapMailBorder:SetAlpha(0)
MiniMapMailFrame:SetScale(1.25)
MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 7, 5)

GameTimeFrame:SetAlpha(0)
GameTimeFrame:ClearAllPoints()
GameTimeFrame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 0, 0)

MiniMapWorldMapButton:SetScale(1.5)
MiniMapWorldMapButton:SetAlpha(0)
MiniMapWorldMapButton:ClearAllPoints()
MiniMapWorldMapButton:SetPoint("TOP", Minimap, "TOP", 0, 10)

MiniMapRecordingBorder:SetAlpha(0)
MiniMapRecordingButton:ClearAllPoints()
MiniMapRecordingButton:SetPoint("BOTTOMLEFT", Minimap, "BOTTOMLEFT", 0, 0)



--End Event Registration
end
mm:SetScript("OnEvent",eventHandler)
